<sqtm-core-customisable-dialog
  [titleKey]="data.titleKey"
  [dialogId]="'bind-req-version-to-sprint'"
>
  <sqtm-core-dialog-body>
    <div class="full-height full-width">
      <div
        class="flex-row body-content m-b-10"
        [attr.data-test-dialog-message]="true"
      >
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="info-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#1890FF'"
        ></i>
        <div class="flex-column">
          <span>{{
            'sqtm-core.campaign-workspace.dialog.message.bind-req-version-to-sprint.message'
              | translate
          }}</span>
          <span class="current-workspace-main-color txt-bold m-t-10 m-b-10"
            >{{
              'sqtm-core.campaign-workspace.dialog.message.bind-req-version-to-sprint.title'
                | translate
            }}
          </span>
          <div class="m-l-15">
            @if (data.highLevelReqVersions.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.entity.requirement.high-level.plural' | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleHighLevelReqVersionsDisplay()"
                >
                  {{
                    getDetailDisplayMessage(displayHighLevelReqVersionsDetails)
                      | translate
                  }}
                </span>
                @if (displayHighLevelReqVersionsDetails) {
                  <ul>
                    @for (
                      highLevelReqVersion of data.highLevelReqVersions;
                      track $index
                    ) {
                      <li>{{ highLevelReqVersion }}</li>
                    }
                  </ul>
                }
              </div>
            }
            @if (data.obsoleteReqVersions.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.campaign-workspace.dialog.message.bind-req-version-to-sprint.obsolete-req-version'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleObsoleteReqVersionsDisplay()"
                >
                  {{
                    getDetailDisplayMessage(displayObsoleteReqVersionsDetails)
                      | translate
                  }}
                </span>
                @if (displayObsoleteReqVersionsDetails) {
                  <ul>
                    @for (
                      obsoleteReqVersion of data.obsoleteReqVersions;
                      track $index
                    ) {
                      <li>{{ obsoleteReqVersion }}</li>
                    }
                  </ul>
                }
              </div>
            }
            @if (data.alreadyLinkedReqVersions.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.campaign-workspace.dialog.message.bind-req-version-to-sprint.already-linked-req-version'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleAlreadyLinkedReqVersionsDisplay()"
                >
                  {{
                    getDetailDisplayMessage(
                      displayAlreadyLinkedReqVersionsDetails
                    ) | translate
                  }}
                </span>
                @if (displayAlreadyLinkedReqVersionsDetails) {
                  <ul>
                    @for (
                      alreadyLinkedReqVersion of data.alreadyLinkedReqVersions;
                      track $index
                    ) {
                      <li>{{ alreadyLinkedReqVersion }}</li>
                    }
                  </ul>
                }
              </div>
            }
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="m-l-5 m-t-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
